c     Common Variables for NCAR 2-D Global Ocean Mixed Layer Model

c     Biological Common Variables:
c     those variables including the forcing and biological parameters
c     required by the biological subroutines but which are not passed
c     directly by the integrator.
c
c     biopar(npar)        biological parameter values
c     bioname(nsb)        names of biological scalars
c     parname(npar)       names of biological parameters
c     fluxname(nflux)     names of biological fluxes
        real biopar(npar)
	common /param/ biopar
	
        character*20 bioname(nsb),parname(npar),fluxname(nflux)
	common /names/ bioname,parname,fluxname

c     Time Control Variables (see biocommon.inc)
c     nspinup        number of spinup years
c     nsave          number of data stores/year
        integer nsave,nspinup
	common /control/ nsave,nspinup

c     Forcing Variables: 
c     forc        storage array for cubic splines, values  (in biocommon.inc)
c     tforc       time vector for cubic splines (days)
c     cubspl      storage array for cubic spline  2nd derivative
c     surf        surface intercept for bottom boundary condition
c     slope       linear slope for bottom boundary condition
c     bbc         bottom boundary condition for biological scalars
        real forc(2*nforc,mforc),cubspl(2*nforc,mforc)
        real tforc(2*nforc)
	real surf(nsb), slope(nsb), bbc(nsb)
	common /forcing/ forc,cubspl,tforc,surf,slope,bbc

